#!BuildIgnore:          post-build-checks
%define	_default_patch_fuzz	3
%define		reldate	090910	
Name:		nprobe
Version:	5.8.1
Release:	6.1
Group:		System
Summary:	Netflow Probe
Url:		http://www.nmon.net/
License:	GPL
Source0:	%{name}_%{version}_%{reldate}_pro.tgz
Source1:	GeoLiteCity.dat.gz
Source2:	GeoIPASNum.dat.gz
Source3:	UsersGuide.pdf
Source4:	util.c
Patch0:		nprobe-plugindir.patch
Patch1:		nprobe-GeoIPdat-dir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
BuildRequires:	gawk which
BuildRequires:	tcp_wrappers libpcap-devel
%endif
%if 0%{?fedora_version} >= 7
BuildRequires:	tcp_wrappers-devel
%endif
%if 0%{?suse_version} > 1010
BuildRequires:	awk libpcap-devel tcpd-devel
%endif
%if 0%{?suse_version} > 0 && 0%{?suse_version} <= 1010
BuildRequires:	awk libpcap tcpd-devel
%endif

BuildRequires:	autoconf automake libtool gcc-c++ grep sed
BuildRequires:	pcre-devel mysql-devel libGeoIP-devel >= 1.4.5 lksctp-tools-devel python-devel openssl-devel

%description
Light, fast, resource-savvy NetFlow v5 and v9 probe that can be used stand-alone, with commercial products, or with ntop.

%package devel
Group:		Development/Libraries
Summary:	NProbe devel files

%description devel
NProbe development files.

%prep
%setup -n %{name}_%{version}_%{reldate}_pro
%patch0
%patch1
cp %{S:1} .
cp %{S:2} .
cp %{S:3} .
cp %{S:4} .
%build
if [ ! -f ./configure ]; then
	./autogen.sh
fi
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--enable-shared \
	--enable-static \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir}

%__make

%install
%__make DESTDIR=%{buildroot} install
cp GeoLiteCity.dat %{buildroot}%{_prefix}/lib/nprobe/
cp GeoIPASNum.dat %{buildroot}%{_prefix}/lib/nprobe/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc UsersGuide.pdf README
%{_bindir}/nprobe
%dir %{_prefix}/lib/nprobe
%dir %{_prefix}/lib/nprobe/plugins
%{_prefix}/lib/nprobe/GeoIPASNum.dat
%{_prefix}/lib/nprobe/GeoLiteCity.dat
%{_prefix}/lib/nprobe/plugins/libbgpPlugin-%{version}.so
%{_prefix}/lib/nprobe/plugins/libbgpPlugin.la
%{_prefix}/lib/nprobe/plugins/libbgpPlugin.so
%{_prefix}/lib/nprobe/plugins/libdbPlugin-%{version}.so
%{_prefix}/lib/nprobe/plugins/libdbPlugin.la
%{_prefix}/lib/nprobe/plugins/libdbPlugin.so
%{_prefix}/lib/nprobe/plugins/libdumpPlugin-%{version}.so
%{_prefix}/lib/nprobe/plugins/libdumpPlugin.la
%{_prefix}/lib/nprobe/plugins/libdumpPlugin.so
%{_prefix}/lib/nprobe/plugins/libflowIdPlugin-%{version}.so
%{_prefix}/lib/nprobe/plugins/libflowIdPlugin.la
%{_prefix}/lib/nprobe/plugins/libflowIdPlugin.so
%{_prefix}/lib/nprobe/plugins/libhttpPlugin-%{version}.so
%{_prefix}/lib/nprobe/plugins/libhttpPlugin.la
%{_prefix}/lib/nprobe/plugins/libhttpPlugin.so
%{_prefix}/lib/nprobe/plugins/libl7Plugin-%{version}.so
%{_prefix}/lib/nprobe/plugins/libl7Plugin.la
%{_prefix}/lib/nprobe/plugins/libl7Plugin.so
%{_prefix}/lib/nprobe/plugins/libmysqlPlugin-%{version}.so
%{_prefix}/lib/nprobe/plugins/libmysqlPlugin.la
%{_prefix}/lib/nprobe/plugins/libmysqlPlugin.so
%{_prefix}/lib/nprobe/plugins/librtpPlugin-%{version}.so
%{_prefix}/lib/nprobe/plugins/librtpPlugin.la
%{_prefix}/lib/nprobe/plugins/librtpPlugin.so
%{_prefix}/lib/nprobe/plugins/libsipPlugin-%{version}.so
%{_prefix}/lib/nprobe/plugins/libsipPlugin.la
%{_prefix}/lib/nprobe/plugins/libsipPlugin.so
%{_prefix}/lib/nprobe/plugins/libsmtpPlugin-%{version}.so
%{_prefix}/lib/nprobe/plugins/libsmtpPlugin.la
%{_prefix}/lib/nprobe/plugins/libsmtpPlugin.so
%{_prefix}/lib/nprobe/plugins/libdnsPlugin-%{version}.so
%{_prefix}/lib/nprobe/plugins/libdnsPlugin.la
%{_prefix}/lib/nprobe/plugins/libdnsPlugin.so
%{_libdir}/libnprobe-%{version}.so
%{_libdir}/libnprobe.la
%{_libdir}/libnprobe.so

%files devel
%defattr(-,root,root)
%{_libdir}/libnprobe.a
%if 0%{?sles_version} != 11 && 0%{?suse_version} < 1110
%{_prefix}/lib/nprobe/plugins/libbgpPlugin.a
%{_prefix}/lib/nprobe/plugins/libdbPlugin.a
%{_prefix}/lib/nprobe/plugins/libdumpPlugin.a
%{_prefix}/lib/nprobe/plugins/libflowIdPlugin.a
%{_prefix}/lib/nprobe/plugins/libhttpPlugin.a
%{_prefix}/lib/nprobe/plugins/libl7Plugin.a
%{_prefix}/lib/nprobe/plugins/libmysqlPlugin.a
%{_prefix}/lib/nprobe/plugins/librtpPlugin.a
%{_prefix}/lib/nprobe/plugins/libsipPlugin.a
%{_prefix}/lib/nprobe/plugins/libsmtpPlugin.a
%{_prefix}/lib/nprobe/plugins/libdnsPlugin.a
%endif

%changelog
* Tue Oct 12 2010 Carsten Schoene <cs@linux-administrator.com> - 5.8.1-3
- update to release 090910

* Tue Sep 07 2010 Carsten Schoene <cs@linux-administrator.com> - 5.8.1-2
- added an updated util.c
- updated GeoIP databases
 
* Mon Sep 06 2010 Carsten Schoene <cs@linux-administrator.com> - 5.8.1-1
- update to release 5.8.1

* Tue Jun 15 2010 Carsten Schoene <cs@linux-administrator.com> - 5.6.2-1
- update to release 5.6.2

* Tue Jun 08 2010 Carsten Schoene <cs@linux-administrator.com> - 5.6.0-1
- initial build
